Page MenuHomePhabricator

Mailing list for the Wikimedians of Colombia user group
Closed, ResolvedPublic

Description

Hello.

In ticket T121114, I asked for the mailing list of the Wikimedia Colombia chapter-to-be to be renamed from wikimediaco-l to wikimediaco. However, I was recently told that it was actually easier to create new lists rather than rename them.

Given that, I kindly request a new mailing list for the group: wikimediaco@lists.wikimedia.org. As for the old list, we can leave it inactive for archive reasons or even delete if needed. If left inactive, it would be great if we could create an auto-responder that tells about the new name.

As for the other ticket I mentioned, it can be closed after the new list has been created.

If you have questions, you can reach me at oscar@racso.co.

Thanks a lot in advance.

Event Timeline

Racso created this task.Apr 25 2016, 4:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2016, 4:55 PM

leave the old list inactive for archive reasons is a good idea and I agree with that.

tomasz added a subscriber: tomasz.EditedMay 25 2016, 10:03 PM

Hi, Oscar (@Racso).

I'm really sorry that T121114 was left open for more than 6 months before anyone got back to you, and that this request hasn't been handled for a month now.

I'm taking over this request now and will handle it as soon as I can -- most likely tomorrow (26 May), after 19:00 UTC.

Before I create this new list for you, let me make sure that we've got all the details right. Do you require:

  1. any changes regarding list administrators?
  2. any changes regarding the public status of the archives?
  3. any changes regarding user subscription (user confirmation only)?

If you plan to leave the list inactive, you can enable emergency mode on the it and set an autoresponder; this will prevent any messages from being forwarded to list subscribers. Or you can unsubscribe everyone from the list, require that new members be approved by list admins, and automatically reject messages from non-members with a rejection reply informing them about the new list address. Or any combination of the two.

Anyway, I look forward to hearing if you require any changes to the settings, and I hope to able to attend to your request tomorrow.

I'm just leaving this here to say that this request is blocked on the creators' side and that I should be able to attend to it within 48 (likely 24) hours of receiving a response to the questions I asked immediately above.

Base added a subscriber: Base.May 28 2016, 4:53 PM

Hi @tomasz

Before I create this new list for you, let me make sure that we've got all the details right. Do you require:

  1. any changes regarding list administrators?
  2. any changes regarding the public status of the archives?
  3. any changes regarding user subscription (user confirmation only)?

No changes. Same list administrators, status and user subscriptions.

If you plan to leave the list inactive, you can enable emergency mode on the it and set an autoresponder; this will prevent any messages from being forwarded to list subscribers. Or you can unsubscribe everyone from the list, require that new members be approved by list admins, and automatically reject messages from non-members with a rejection reply informing them about the new list address. Or any combination of the two.

I agree with unsubscribe everyone from the list and automatically reject messages from non-members with a rejection reply informing them about the new list address.

Thanks for your help!

I agree with unsubscribe everyone from the list and automatically reject messages from non-members with a rejection reply informing them about the new list address.

Just to be clear, this is just a suggestion on my side -- you'll have to do all of that yourselves through the Mailman web interface as I cannot access your current mailing list. I can only help out with creating this mailing list and guide you through the process, just as I did above.

In any case, many thanks for answering the questions; I'll go ahead and create the list for you tonight. I'll e-mail the two admins the new password and will comment on this task when I'm done.

Just a quick update that this will have to wait a little bit longer as I'm trying to subscribe the mailing list to Gmane under gmane.org.wikimedia.colombia which is being used for your current mailing list and will therefore have to be deleted.

I've just contacted Gmane administrators with a request to delete that group so I can subscribe your new mailing list under this name.

Stay tuned!

Racso added a comment.Jun 10 2016, 3:40 AM

Hello, @tomasz. Thanks a lot for your help. Sorry for not answering before; looks like my e-mail address wasn't updated here in Phabricator, so I didn't receive your updates.

I'm a bit confused right now about the status of this ticket, as yesterday I received an e-mail for moderating the wikimedia-co [1] list, which is obviously not the same list we've always had (wikimediaco-l [2]). I'm guessing that this is the newly created list for the group (horray!), but I'm a bit surprised/confused about its name, as we asked for the "wikimediaco" name (without the dash). Also, we haven't received any administrative passwords.

I really appreciate your help, and any new lights you can give us about the process.

[1] https://lists.wikimedia.org/mailman/listinfo/wikimedia-co
[2] https://lists.wikimedia.org/mailman/listinfo/wikimediaco-l

Wikimedia-co instead of Wikimediaco is the name per list standardisation at https://meta.wikimedia.org/wiki/Mailing_lists/Standardization#Wikimedia as far as I know.

Hello, @tomasz. Thanks a lot for your help. Sorry for not answering before; looks like my e-mail address wasn't updated here in Phabricator, so I didn't receive your updates.

No worries, as this request is currently stalled, pending a response to my request from Gmane administrators. It has already been more than 10 days, and I sent them a reminder e-mail yesterday, so hopefully this is going to be resolved soon.

I'm guessing that this is the newly created list for the group (horray!), but I'm a bit surprised/confused about its name, as we asked for the "wikimediaco"name (without the dash). Also, we haven't received any administrative passwords.

It is indeed; I actually created the list all the way back on 31 May, however we require all public mailing lists to be available through the e-mail-to-news gateway Gmane.org, and the creation of an archive there is currently blocked per my comment above.

I haven't shared the admin password with you yet as I want the list to be used only after it's possible to create a Gmane archive for it; I'm really sorry it's taking this long, however be assured that someone (me) is actively working on your request.

As for the name of the list, as Andre pointed out immediately above, this is the standard name for all user groups/chapters-to-be.

I'll post an update here as soon as there is any progress.

Racso added a comment.Jun 24 2016, 2:14 PM

No progress yet?

I don't really know how Gmane works, but I just visited http://dir.gmane.org/gmane.org.wikimedia.colombia and I believe that the new list address is shown there. Maybe it's already done?

Hi Oscar; thank you for staying on top of this. It does indeed seem that the request has now been handled on the Gmane side; I will send you an e-mail with all the details and close this request in the coming minutes.

Thanks again.

The list has been created, and I configured it to have public archives, with everyone being able to subscribe to it freely.

You can configure the rest of the settings, including list description and a terse identifying phrase at the following web page:

https://lists.wikimedia.org/mailman/admin/wikimedia-co

The web page for users of your mailing list is:

https://lists.wikimedia.org/mailman/listinfo/wikimedia-co

The list will also be available in the e-mail to news gateway Gmane.org as

gmane.org.wikimedia.colombia

Please list and describe your mailing list at the appropriate section of the mailing list overview page on Meta.

I just sent the admin password to the two e-mail addresses given above, and made them list administrators.

This request is now closed; enjoy your new mailing list!

tomasz closed this task as Resolved.Jun 24 2016, 9:00 PM
tomasz claimed this task.